SDL_SetTextureColorModFloat(3)

NAME
SDL_SetTextureColorModFloat - Set an additional color value multiplied into render copy operations.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_SetTextureColorModFloat(SDL_Texture *texture, float r, float g, float b);

DESCRIPTION
When this texture is rendered, during the copy operation each source color channel is modulated by the appropriate color value according to the following formula:

srcC = srcC * color

Color modulation is not always supported by the renderer; it will return false if color modulation is not supported.

FUNCTION PARAMETERS

texture
    the texture to update.

r   the red color value multiplied into copy operations.

g   the green color value multiplied into copy operations.

b   the blue color value multiplied into copy operations.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetTextureColorModFloat(3), SDL_SetTextureAlphaModFloat(3), SDL_SetTextureColorMod(3)